#include "fenetre_rs232.h"


///////////////////////////////////////////
// Creation de l'objet
RS232::RS232(QWidget *parent) : QDialog(parent)
{
        ui.setupUi(this);

  // on charge les donnees sur le disque dur
  charger();
}

///////////////////////////////////////////
// Fermer la fenetre et enregistrer
void RS232::on_pushButton_rs232_clicked()
{
  // on ferme la fenetre
  this->hide();

  // on sauve les resultats sur le disque dur
  sauver();

} 

///////////////////////////////////////////
// Sauver les donnees sur le disque dur
void RS232::sauver(void)
{
  // recuperation des donnees
  QString value1 = ui.lineEdit->text(); 

  QFile file;
  file.setFileName("config/config_rs232.ini");
  if( file.exists() )
    file.remove();
  file.open(QIODevice::Append | QIODevice::Text );
  QTextStream out(&file);
  out << value1;    
  file.close();

} 


///////////////////////////////////////////
// Charger les donnees sur le disque dur
void RS232::charger(void)
{
  QFile file;
  file.setFileName("config/config_rs232.ini");
  if( !file.exists() )
    return;      

  // creation des variables
  QString value1 = "COM1"; 

  file.open(QIODevice::ReadOnly | QIODevice::Text );
  QTextStream in(&file);
  QString line;
  line = in.readLine(); 
  file.close();

  ui.lineEdit->setText(value1); 
} 



